.wcl-partners__wrapper {
  position: relative;
  width: 100%;
}
.wcl-partners__marquee-wrapper {
  position: relative;
  z-index: 1;
  min-height: 178px;
  max-width: 1860px;
  margin: 0 auto;
  background-color: var(--bg-main);
  border-radius: 25px;
}
.wcl-partners__marquee {
  overflow: hidden;
  position: relative;
  padding: 55px 0;
}
.wcl-partners__track {
  display: flex;
  width: -moz-max-content;
  width: max-content;
  animation: scroll-left 60s linear infinite;
}
.wcl-partners__logos {
  display: flex;
  gap: 90px;
  align-items: center;
  margin-left: 90px;
}
.wcl-partners__logo img {
  max-height: 87px;
  width: auto;
  display: block;
}
.wcl-partners__decor {
  position: relative;
  z-index: -1;
  top: -178px;
  width: 100%;
  max-width: 1860px;
  margin: 0 auto;
}
.wcl-partners__left-decor, .wcl-partners__right-decor {
  position: absolute;
  z-index: -1;
  top: 0;
  left: 80px;
  width: calc(100% - 160px);
  height: 178px;
  border-radius: 25px;
  background-color: rgba(235, 231, 228, 0.5);
}
.wcl-partners__left-decor {
  transform: rotate(5deg);
}
.wcl-partners__right-decor {
  transform: rotate(-5deg);
}

@keyframes scroll-left {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50%);
  }
}

@media (min-width: 23.4375em) and (max-width: 81em) {
  @supports (margin-top: clamp( 2.5rem , 0.3369299674rem  +  9.2290988056vw , 7.8125rem )) {
    .wcl-partners {
      margin-top: clamp( 2.5rem , 0.3369299674rem  +  9.2290988056vw , 7.8125rem );
    }
  }
  @supports not (margin-top: clamp( 2.5rem , 0.3369299674rem  +  9.2290988056vw , 7.8125rem )) {
    .wcl-partners {
      margin-top: calc(2.5rem + 5.3125 * (100vw - 23.4375rem) / 57.5625);
    }
  }
  @supports (margin-bottom: clamp( 2.5rem , 0.3369299674rem  +  9.2290988056vw , 7.8125rem )) {
    .wcl-partners {
      margin-bottom: clamp( 2.5rem , 0.3369299674rem  +  9.2290988056vw , 7.8125rem );
    }
  }
  @supports not (margin-bottom: clamp( 2.5rem , 0.3369299674rem  +  9.2290988056vw , 7.8125rem )) {
    .wcl-partners {
      margin-bottom: calc(2.5rem + 5.3125 * (100vw - 23.4375rem) / 57.5625);
    }
  }
}

@media (min-width: 81em) {
  .wcl-partners {
    margin-top: 7.8125rem;
  }
  .wcl-partners {
    margin-bottom: 7.8125rem;
  }
}

@media screen and (max-width: 1800px) {
  .wcl-partners__marquee-wrapper {
    border-radius: 0;
  }
}

@media screen and (max-width: 1024px) {
  .wcl-partners__marquee-wrapper {
    min-height: 148px;
  }
  .wcl-partners__marquee {
    padding: 40px 0;
  }
  .wcl-partners__logos {
    gap: 70px;
    margin-left: 70px;
  }
  .wcl-partners__decor {
    top: -148px;
  }
  .wcl-partners__left-decor, .wcl-partners__right-decor {
    height: 148px;
    left: 50px;
    width: calc(100% - 100px);
  }
}

@media screen and (max-width: 768px) {
  .wcl-partners__marquee-wrapper {
    min-height: 118px;
  }
  .wcl-partners__marquee {
    padding: 25px 0;
  }
  .wcl-partners__logos {
    gap: 50px;
    margin-left: 50px;
  }
  .wcl-partners__logo img {
    max-height: 70px;
  }
  .wcl-partners__decor {
    top: -118px;
  }
  .wcl-partners__left-decor, .wcl-partners__right-decor {
    height: 118px;
    left: 25px;
    width: calc(100% - 50px);
  }
}

@media screen and (max-width: 576px) {
  .wcl-partners__logos {
    gap: 30px;
    margin-left: 30px;
  }
  .wcl-partners__left-decor, .wcl-partners__right-decor {
    left: 15px;
    width: calc(100% - 30px);
  }
  .wcl-partners__left-decor {
    transform: rotate(8deg);
  }
  .wcl-partners__right-decor {
    transform: rotate(-8deg);
  }
}

@media (max-width: 23.4375em) {
  .wcl-partners {
    margin-top: 2.5rem;
  }
  .wcl-partners {
    margin-bottom: 2.5rem;
  }
}
